Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Connections.ScimConfiguration.Tokens.Delete(
context.TODO(),
"id",
"tokenId",
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.delete("id", "tokenId");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.delete("id", "tokenId");
}
main();curl --request DELETE \
--url https://{tenantDomain}/api/v2/connections/{id}/scim-configuration/tokens/{tokenId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/connections/{id}/scim-configuration/tokens/{tokenId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
Delete a connection's SCIM token
Deletes a scim token by its connection id and tokenId.
DELETE
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
scim-configuration
/
tokens
/
{tokenId}
Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Connections.ScimConfiguration.Tokens.Delete(
context.TODO(),
"id",
"tokenId",
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.delete("id", "tokenId");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.delete("id", "tokenId");
}
main();Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The connection id that owns the SCIM token to delete
The id of the scim token to delete
Response
The SCIM token has been deleted.
Was this page helpful?
⌘I